# VCSL
![logo](https://github.com/sgossner/VCSL/raw/master/Assets/VCSL_Color_128x128.png "VCSL Logo")

The Versilian Community Sample Library is an open CC0 general-purpose sample library created by Versilian Studios LLC for the purpose of introducing a set of quality, publicly available samples suitable for use in software and media of all kinds. This library is intended to be a broader expansion to the VSCO 2 CE sample set.

This collection is under a Creative Commons 0 license. Essentially it's Public Domain- you can do whatever you want with these sounds (even make commercial software), no royalties, no credit, no special terms.

The easiest way to keep up to date is to set up a local copy of the repository with Github Desktop, then just 'Fetch origin' whenever something new comes out. Install Github Desktop, then back on the VCSL main branch page click 'Clone or Download' then 'Open in Desktop'.

Want to stay updated? Join the mailing list and we'll send you an e-mail every time the project is updated-
http://www.versilstudios.net/sendy/subscription?f=b763a892L4k9FXaEnJ3glhJUq3yyF71hesBFROqKTz08slZriGNWCYyV7OLLLPCTd8Dn

# Design Philosophy
The selection of samples for VCSL is designed specifically to suit lightweight sample library creation. A greater emphasis is placed on pitch fidelity (with most being wholetone sampled if possible) and consistency, but less on more 'professional' features such as many round robins or velocity layers, except where warranted (e.g. percussion). As such, most articulations only have a single round robin and two to three velocity layers, although like all things in life, there are exceptions to that. On average, this means each instrument weighs about 20-75 MB in raw .wav format, a small but comfortable size for adequate reproduction.

This goal of this set is to provide a consistently-recorded and convenient starting place for factory libraries, sound designers, and hobbyist developers to work from.

# Inclusion of Previous Works
This set shall include the bulk of the VSCO 2 CE sample set, including some reworked and re-curated selections to better fit the design philosophy. It also shall include many instruments not featured in the CE sample set, but found in other products or the larger VSCO 2 Pro sample set. Lastly, new recordings will be produced ongoing throughout the next few years to continually add and update content in this sample set. Content added to the set will not be removed; new content will simply be added on in the form of new instrument options.

# 3rd Party Contributions
3rd party developers are welcome to make additions to the sample set. The following standards are highly recommended:
- Samples shall be named in a human-readable format. The recommended syntax is- `[Instrument]_[Articulation]_[Mic]_vl[Velocity]_rr[RR].wav.`
- Samples shall be made available at 44.1 or 48 kHz sample rate, and either 16 or 24-bit depth, as uncompressed .wav files.
- Samples shall be recorded in stereo if possible, unless (1) idiomatic (e.g. harmonicas, solo vox) or (2) impractical to do so. Most of the sample set is recorded with spaced pair or NOS, but other arrays are acceptable so long as the stereo image is reasonable.
- Samples shall preferably be recorded in a clean, 'mid-close' position, typically 0.5-3 meters from the performer(s), in an acoustically neutral space with as little background noise as possible. These recordings shall not be processed with the exception of (1) tuning, (2) mild eq'ing to fix microphone problems, and (3) noise reduction (if necessary).
- Samples shall be organized in folders, one per instrument, preferably with sub-folders, one per articulation, if there are many samples.
- Any metadata relating to the samples should be included (brand/model, performer, mics, space) if possible, but not necessary.

Contributions may be made by creating a fork, and then requesting that fork to be merged back into the main set. In addition, forks that go off and do their 'own thing' are welcome as well (such as a 3rd party SFZ conversion).
